Subject: [ippm] RE:IPPM management plane requirements I-D

From: "Henk Uijterwaal (RIPE-NCC)" <[email-masked]>
Date: Tue, 4 Dec 2001 10:05:40 +0100 (CET)

On Mon, 19 Nov 2001, STEPHAN Emile FTRD/DAC/LAN wrote:

> Hi stanislav, henk
>
> The purpose of the draft-stephan-ippm-mgmt-reqs-00.txt need to be clarify.
> It is intended to fix the needs for a management interface:
> 	+ independant;
> 	+ The in/out of a measurement;
> 	+ Cover all the IPPM metrics;
> 	+ Scalability;
> 	...

Please explain to me what a "management interface" is then.  I thought we
had 2 layers: OWAM-control and OWAMP-test, where the former controls the
measurements and the latter does the measurement and this seems to cover
everything (at least to me).

Related: reading all the mails in the various threads on this, i think we
are going nowhere and could really benefit from a discussion by voice next
week.

Henk

>
>
> -1- management plane/control protocol:
>
>  stanislav [[email-masked]] writes :
> > If there are problems with the requirements document in the
> > area of conducting measurements between different domains, we need to
> > hear about those.  They would need to be fixed
>
> The draft-stephan-ippm-mgmt-reqs-00.txt does not add requirements for
> control protocols. It list the requirements for the management plane. Its
> purpose is not to define how will be controled the measurement, but to
> standardize the parameters (in/out) of the IPPM metrics measurements which
> are accessible from the management plane. On another hand there are issues
> in the draft-stephan-ippm-mgmt-reqs-00.txt that may be considerered in the
> "One-way Delay Protocol Requirements". As an example, the specification of
> the Type P is an main point because the control protocol must carry any
> protocols suites description.
>
> -2- Control protocols purposes:
>
> stanislav [[email-masked]] writes
> > Conceptually, I like IPMP a lot.  With regard to its relationship to
> > OWAMP, I can see the following possible strategies for us:
> >
> > * provide all functionality that IPMP provides in OWAMP without
> >   necessarily using IPMP directly;
> >
> > * provide all functionality that OWAMP is going to provide in IPMP and
> >  forget about OWAMP;
> >
> >* ``merge'' IPMP and OWAMP in some fashion;
> >
> >* leave them separate recognizing that they solve different problems.
> >
> >Presently, I tend to favor the last.  Opinions of IPMP designers and
> >WG participants in general are solicited.
>
> It appears that the scope of the existing control protocols are differents.
> So the second goal of the draft-stephan-ippm-mgmt-reqs-00.txt is to specify
> the needs for an common management interface to access to the control
> protocols.
>
>
> -3- Only the IPPM metrics, all the IPPM metrics:
>
>    The section "Functional Requirements" of "One-way Delay Protocol
> Requirements" says that "Non-singleton characteristics (such as those
> related to trains of packets, back-to-back tuples, and so forth) and
> application traffic simulation aren't areas that the protocol(s) need to
> address". So another requirements of the management plane is to provide an
> interface for all the IPPM metrics either they need or NOT a control
> protocol to be performed.
>
> -4- Scalability:
>
> NMS can not afford to keep hundred of control protocol TCP connexions open
> during the measurement tests. It is not acceptable that the management plane
> has to maintain sessions (restart broken TCP session...). Relations between
> NMS and the control protocols needs to be soft state.
>
>
> Regards
> Emile
>
>
>
>

------------------------------------------------------------------------------
Henk Uijterwaal                    Email: [email-masked]
RIPE Network Coordination Centre     WWW: http://www.ripe.net/home/henk
Singel 258                         Phone: +31.20.5354414
1016 AB Amsterdam                    Fax: +31.20.5354445
The Netherlands                   Mobile: +31.6.55861746
------------------------------------------------------------------------------

As long as you don't tell your friends how I played the hand,
then I won't tell my friends how you defended it.                 (Anonymous)

_______________________________________________
ippm mailing list
[email-masked]
http://mailhost.advanced.org/mailman/listinfo/ippm